<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::gmock_function_mocker_test::MockFoo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1gmock__function__mocker__test_1_1MockFoo.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::gmock_function_mocker_test::MockFoo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::gmock_function_mocker_test::MockFoo:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1gmock__function__mocker__test_1_1MockFoo__inherit__graph.svg" width="210" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::gmock_function_mocker_test::MockFoo:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1gmock__function__mocker__test_1_1MockFoo__coll__graph.svg" width="210" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa51bd02d682a33eeafaa297c1967455b"><td class="memItemLeft" align="right" valign="top"><a id="aa51bd02d682a33eeafaa297c1967455b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (void, VoidReturning,(int n))</td></tr>
<tr class="separator:aa51bd02d682a33eeafaa297c1967455b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed9392b4906326c2e5ec651ea9155ca"><td class="memItemLeft" align="right" valign="top"><a id="aeed9392b4906326c2e5ec651ea9155ca"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, Nullary,())</td></tr>
<tr class="separator:aeed9392b4906326c2e5ec651ea9155ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c4dd29a859254e057513027a3315c8"><td class="memItemLeft" align="right" valign="top"><a id="a96c4dd29a859254e057513027a3315c8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (bool, Unary,(int))</td></tr>
<tr class="separator:a96c4dd29a859254e057513027a3315c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d6597b94797dfeb1061ad7a48bbc141"><td class="memItemLeft" align="right" valign="top"><a id="a9d6597b94797dfeb1061ad7a48bbc141"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (long, Binary,(short, int))</td></tr>
<tr class="separator:a9d6597b94797dfeb1061ad7a48bbc141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6783427c5fb99f8a9c25fba9210c748"><td class="memItemLeft" align="right" valign="top"><a id="ab6783427c5fb99f8a9c25fba9210c748"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, Decimal,(bool, char, short, int, long, float, double, unsigned, char *, const std::string &amp;str),(override))</td></tr>
<tr class="separator:ab6783427c5fb99f8a9c25fba9210c748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50aeadd7e413ca2a8ba4507b21d4b345"><td class="memItemLeft" align="right" valign="top"><a id="a50aeadd7e413ca2a8ba4507b21d4b345"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (bool, TakesNonConstReference,(int &amp;))</td></tr>
<tr class="separator:a50aeadd7e413ca2a8ba4507b21d4b345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8449bdfea3eaf9fabb34fa694c17ab25"><td class="memItemLeft" align="right" valign="top"><a id="a8449bdfea3eaf9fabb34fa694c17ab25"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (std::string, TakesConstReference,(const int &amp;))</td></tr>
<tr class="separator:a8449bdfea3eaf9fabb34fa694c17ab25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68193fcc8b336763c92cb1c8fd7a97ea"><td class="memItemLeft" align="right" valign="top"><a id="a68193fcc8b336763c92cb1c8fd7a97ea"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (bool, TakesConst,(const int))</td></tr>
<tr class="separator:a68193fcc8b336763c92cb1c8fd7a97ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fdcae66e6f4efa07a57580235ca3323"><td class="memItemLeft" align="right" valign="top"><a id="a8fdcae66e6f4efa07a57580235ca3323"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> ((std::map&lt; int, std::string &gt;), ReturnTypeWithComma,(),())</td></tr>
<tr class="separator:a8fdcae66e6f4efa07a57580235ca3323"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfb6a040264fc42059f0b47e3f21e2df"><td class="memItemLeft" align="right" valign="top"><a id="adfb6a040264fc42059f0b47e3f21e2df"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> ((std::map&lt; int, std::string &gt;), ReturnTypeWithComma,(int),(const))</td></tr>
<tr class="separator:adfb6a040264fc42059f0b47e3f21e2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7564f6d942087d67512b521fb355f94"><td class="memItemLeft" align="right" valign="top"><a id="ae7564f6d942087d67512b521fb355f94"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, OverloadedOnArgumentNumber,())</td></tr>
<tr class="separator:ae7564f6d942087d67512b521fb355f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab859902d52f376112fa8c8d5ca402d8a"><td class="memItemLeft" align="right" valign="top"><a id="ab859902d52f376112fa8c8d5ca402d8a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, OverloadedOnArgumentNumber,(int))</td></tr>
<tr class="separator:ab859902d52f376112fa8c8d5ca402d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c4bc14602957c662e9ace719cf0fd96"><td class="memItemLeft" align="right" valign="top"><a id="a6c4bc14602957c662e9ace719cf0fd96"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, OverloadedOnArgumentType,(int))</td></tr>
<tr class="separator:a6c4bc14602957c662e9ace719cf0fd96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7680c58ebcf5f91c5f190043528b313"><td class="memItemLeft" align="right" valign="top"><a id="ae7680c58ebcf5f91c5f190043528b313"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (char, OverloadedOnArgumentType,(char))</td></tr>
<tr class="separator:ae7680c58ebcf5f91c5f190043528b313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a7faaeec9d76031292fa532c35c0c6"><td class="memItemLeft" align="right" valign="top"><a id="a57a7faaeec9d76031292fa532c35c0c6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, OverloadedOnConstness,(),(override))</td></tr>
<tr class="separator:a57a7faaeec9d76031292fa532c35c0c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83b1f88fdda3669b8c600daee345bbbc"><td class="memItemLeft" align="right" valign="top"><a id="a83b1f88fdda3669b8c600daee345bbbc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (char, OverloadedOnConstness,(),(override, const))</td></tr>
<tr class="separator:a83b1f88fdda3669b8c600daee345bbbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a0a46aa356c5f7314a37fc1a4d16720"><td class="memItemLeft" align="right" valign="top"><a id="a0a0a46aa356c5f7314a37fc1a4d16720"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, TypeWithHole,(int(*)()),())</td></tr>
<tr class="separator:a0a0a46aa356c5f7314a37fc1a4d16720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6c0fd6e1285132fb787053cd89ec5ab"><td class="memItemLeft" align="right" valign="top"><a id="ab6c0fd6e1285132fb787053cd89ec5ab"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, TypeWithComma,((const std::map&lt; int, std::string &gt; &amp;)))</td></tr>
<tr class="separator:ab6c0fd6e1285132fb787053cd89ec5ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a887e304dcf8658b35634a7a547fad991"><td class="memItemLeft" align="right" valign="top"><a id="a887e304dcf8658b35634a7a547fad991"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, TypeWithTemplatedCopyCtor,(const <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1TemplatedCopyable.html">TemplatedCopyable</a>&lt; int &gt; &amp;))</td></tr>
<tr class="separator:a887e304dcf8658b35634a7a547fad991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af221e9f514688078a4a5ec383c853ff4"><td class="memItemLeft" align="right" valign="top"><a id="af221e9f514688078a4a5ec383c853ff4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int(*)(bool), ReturnsFunctionPointer1,(int),())</td></tr>
<tr class="separator:af221e9f514688078a4a5ec383c853ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89a925c04db716d77b10b5551e45f113"><td class="memItemLeft" align="right" valign="top"><a id="a89a925c04db716d77b10b5551e45f113"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (fn_ptr, ReturnsFunctionPointer2,(int),())</td></tr>
<tr class="separator:a89a925c04db716d77b10b5551e45f113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac34611f80378de2609230f345328d02a"><td class="memItemLeft" align="right" valign="top"><a id="ac34611f80378de2609230f345328d02a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedConstRef,(),(const, ref(&amp;), override))</td></tr>
<tr class="separator:ac34611f80378de2609230f345328d02a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7fdef6410df4ea15921eb0c00388a5"><td class="memItemLeft" align="right" valign="top"><a id="a8c7fdef6410df4ea15921eb0c00388a5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedConstRefRef,(),(const, ref(&amp;&amp;), override))</td></tr>
<tr class="separator:a8c7fdef6410df4ea15921eb0c00388a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a75db1ec6d3f305a431c1dc190c3d48"><td class="memItemLeft" align="right" valign="top"><a id="a7a75db1ec6d3f305a431c1dc190c3d48"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedRef,(),(ref(&amp;), override))</td></tr>
<tr class="separator:a7a75db1ec6d3f305a431c1dc190c3d48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769fef0826a5ec89bdf0b7348f9c140b"><td class="memItemLeft" align="right" valign="top"><a id="a769fef0826a5ec89bdf0b7348f9c140b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedRefRef,(),(ref(&amp;&amp;), override))</td></tr>
<tr class="separator:a769fef0826a5ec89bdf0b7348f9c140b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e89bc16471d33aa0283e05a49968614"><td class="memItemLeft" align="right" valign="top"><a id="a8e89bc16471d33aa0283e05a49968614"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedOverloaded,(),(const, ref(&amp;), override))</td></tr>
<tr class="separator:a8e89bc16471d33aa0283e05a49968614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2a0aa0e551730615ff592e0381ea410"><td class="memItemLeft" align="right" valign="top"><a id="ac2a0aa0e551730615ff592e0381ea410"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedOverloaded,(),(const, ref(&amp;&amp;), override))</td></tr>
<tr class="separator:ac2a0aa0e551730615ff592e0381ea410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce1d0cc10d3b052a3be6b4cc7bddffe"><td class="memItemLeft" align="right" valign="top"><a id="a6ce1d0cc10d3b052a3be6b4cc7bddffe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedOverloaded,(),(ref(&amp;), override))</td></tr>
<tr class="separator:a6ce1d0cc10d3b052a3be6b4cc7bddffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a7f6d2cfc6bc1abc6a362e723fbf9b4"><td class="memItemLeft" align="right" valign="top"><a id="a0a7f6d2cfc6bc1abc6a362e723fbf9b4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD</b> (int, RefQualifiedOverloaded,(),(ref(&amp;&amp;), override))</td></tr>
<tr class="separator:a0a7f6d2cfc6bc1abc6a362e723fbf9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FooInterface.html">testing::gmock_function_mocker_test::FooInterface</a></td></tr>
<tr class="memitem:ab62327ee683b362d9e5579266b74a09c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ab62327ee683b362d9e5579266b74a09c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidReturning</b> (int x)=0</td></tr>
<tr class="separator:ab62327ee683b362d9e5579266b74a09c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9440f75381e8a44977c2caee7914098f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a9440f75381e8a44977c2caee7914098f"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>Nullary</b> ()=0</td></tr>
<tr class="separator:a9440f75381e8a44977c2caee7914098f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f28f91c92b59da029ed0cb61c3d1da6 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a6f28f91c92b59da029ed0cb61c3d1da6"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>Unary</b> (int x)=0</td></tr>
<tr class="separator:a6f28f91c92b59da029ed0cb61c3d1da6 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6e54401a3addca464903257529ace4 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a8d6e54401a3addca464903257529ace4"></a>
virtual long&#160;</td><td class="memItemRight" valign="bottom"><b>Binary</b> (short x, int y)=0</td></tr>
<tr class="separator:a8d6e54401a3addca464903257529ace4 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a415a61b9a9c7a69bba9a4b5ef2a63e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a2a415a61b9a9c7a69bba9a4b5ef2a63e"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>Decimal</b> (bool b, char c, short d, int e, long f, float g, double h, unsigned i, char *j, const std::string &amp;k)=0</td></tr>
<tr class="separator:a2a415a61b9a9c7a69bba9a4b5ef2a63e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf21cef138ffa4a8f2372c7fbed95b18 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="aaf21cef138ffa4a8f2372c7fbed95b18"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>TakesNonConstReference</b> (int &amp;n)=0</td></tr>
<tr class="separator:aaf21cef138ffa4a8f2372c7fbed95b18 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4765c543c11b5d544a35f9fe8de758bd inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a4765c543c11b5d544a35f9fe8de758bd"></a>
virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><b>TakesConstReference</b> (const int &amp;n)=0</td></tr>
<tr class="separator:a4765c543c11b5d544a35f9fe8de758bd inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb43737fd2eeb7599b6f0af540890f50 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="abb43737fd2eeb7599b6f0af540890f50"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>TakesConst</b> (const int x)=0</td></tr>
<tr class="separator:abb43737fd2eeb7599b6f0af540890f50 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae27d00da9698493b196d0913dd5b6c1a inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae27d00da9698493b196d0913dd5b6c1a"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentNumber</b> ()=0</td></tr>
<tr class="separator:ae27d00da9698493b196d0913dd5b6c1a inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc3dde10866e94084cdf5b3b412d2274 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="abc3dde10866e94084cdf5b3b412d2274"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentNumber</b> (int n)=0</td></tr>
<tr class="separator:abc3dde10866e94084cdf5b3b412d2274 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78fc84ae56ba53a36047f0791d03fc58 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a78fc84ae56ba53a36047f0791d03fc58"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentType</b> (int n)=0</td></tr>
<tr class="separator:a78fc84ae56ba53a36047f0791d03fc58 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae45c3906c2196a0978720b91c521f91f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae45c3906c2196a0978720b91c521f91f"></a>
virtual char&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnArgumentType</b> (char c)=0</td></tr>
<tr class="separator:ae45c3906c2196a0978720b91c521f91f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e43dbddc176d1702a7a7d7281f2642 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a94e43dbddc176d1702a7a7d7281f2642"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnConstness</b> ()=0</td></tr>
<tr class="separator:a94e43dbddc176d1702a7a7d7281f2642 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9014d2f6527f719b718b0915b27ff5c5 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a9014d2f6527f719b718b0915b27ff5c5"></a>
virtual char&#160;</td><td class="memItemRight" valign="bottom"><b>OverloadedOnConstness</b> () const =0</td></tr>
<tr class="separator:a9014d2f6527f719b718b0915b27ff5c5 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14850645cd7a5462480f1717df5153c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="aa14850645cd7a5462480f1717df5153c"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>TypeWithHole</b> (int(*func)())=0</td></tr>
<tr class="separator:aa14850645cd7a5462480f1717df5153c inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1f1d96db798fadbf53fbd886e7c738e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="af1f1d96db798fadbf53fbd886e7c738e"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>TypeWithComma</b> (const std::map&lt; int, std::string &gt; &amp;a_map)=0</td></tr>
<tr class="separator:af1f1d96db798fadbf53fbd886e7c738e inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9e3190c69647229baed1dba41c2fdf8 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="af9e3190c69647229baed1dba41c2fdf8"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>TypeWithTemplatedCopyCtor</b> (const <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1TemplatedCopyable.html">TemplatedCopyable</a>&lt; int &gt; &amp;)=0</td></tr>
<tr class="separator:af9e3190c69647229baed1dba41c2fdf8 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1315a533d4f38afb178623ac7c2337d inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae1315a533d4f38afb178623ac7c2337d"></a>
virtual fn_ptr&#160;</td><td class="memItemRight" valign="bottom"><b>ReturnsFunctionPointer2</b> (int)=0</td></tr>
<tr class="separator:ae1315a533d4f38afb178623ac7c2337d inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97d8d9433b4c154e96f6523589ebf4da inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a97d8d9433b4c154e96f6523589ebf4da"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedConstRef</b> () const &amp;=0</td></tr>
<tr class="separator:a97d8d9433b4c154e96f6523589ebf4da inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51eb97c5a8fe915a6a5ef2a24c8b192 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="aa51eb97c5a8fe915a6a5ef2a24c8b192"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedConstRefRef</b> () const &amp;&amp;=0</td></tr>
<tr class="separator:aa51eb97c5a8fe915a6a5ef2a24c8b192 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab593a18ba3b8f905b7d1af553d0d2ea1 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="ab593a18ba3b8f905b7d1af553d0d2ea1"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedRef</b> () &amp;=0</td></tr>
<tr class="separator:ab593a18ba3b8f905b7d1af553d0d2ea1 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4029023fc8c82f8810b46dc87f6887e6 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a4029023fc8c82f8810b46dc87f6887e6"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedRefRef</b> () &amp;&amp;=0</td></tr>
<tr class="separator:a4029023fc8c82f8810b46dc87f6887e6 inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa38bdef20c08e3e0afff67b86bb0effb inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="aa38bdef20c08e3e0afff67b86bb0effb"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () const &amp;=0</td></tr>
<tr class="separator:aa38bdef20c08e3e0afff67b86bb0effb inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4c965116f6ee2b1f57abfbe95aaa2f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="adc4c965116f6ee2b1f57abfbe95aaa2f"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () const &amp;&amp;=0</td></tr>
<tr class="separator:adc4c965116f6ee2b1f57abfbe95aaa2f inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75ffd8cf08541392ae272de1580c48ca inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a75ffd8cf08541392ae272de1580c48ca"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () &amp;=0</td></tr>
<tr class="separator:a75ffd8cf08541392ae272de1580c48ca inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ea15ae778c97867cecb71bdd4f750d inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a60ea15ae778c97867cecb71bdd4f750d"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>RefQualifiedOverloaded</b> () &amp;&amp;=0</td></tr>
<tr class="separator:a60ea15ae778c97867cecb71bdd4f750d inherit pub_methods_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FooInterface.html">testing::gmock_function_mocker_test::FooInterface</a></td></tr>
<tr class="memitem:a70abf7998b6302d9ea2f330ea3e01b8f inherit pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a70abf7998b6302d9ea2f330ea3e01b8f"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>fn_ptr</b> = int(*)(bool)</td></tr>
<tr class="separator:a70abf7998b6302d9ea2f330ea3e01b8f inherit pub_types_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface')"><img src="closed.png" alt="-"/>&#160;Data Fields inherited from <a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1FooInterface.html">testing::gmock_function_mocker_test::FooInterface</a></td></tr>
<tr class="memitem:a855bdcea5e7f0b17ee050da4969c8027 inherit pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memItemLeft" align="right" valign="top"><a id="a855bdcea5e7f0b17ee050da4969c8027"></a>
virtual int(*)(bool)&#160;</td><td class="memItemRight" valign="bottom"><b>ReturnsFunctionPointer1</b> (int)</td></tr>
<tr class="separator:a855bdcea5e7f0b17ee050da4969c8027 inherit pub_attribs_classtesting_1_1gmock__function__mocker__test_1_1FooInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gmock-function-mocker_test.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>gmock_function_mocker_test</b></li><li class="navelem"><a class="el" href="classtesting_1_1gmock__function__mocker__test_1_1MockFoo.html">MockFoo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
